org.eclipse.actf.model.flash.proxy

## Class ProxySettingUtil

- java.lang.Object
- - org.eclipse.actf.model.flash.proxy.ProxySettingUtil

    public class ProxySettingUtil
    extends Object

The utilities to control Flash Proxy Mode.

### Field Summary

Fields
`static int` `PROXY_GLOBAL`
`static int` `PROXY_NONE`
`static int` `PROXY_SESSION`

### Constructor Summary

Constructors
Constructor and Description
`ProxySettingUtil()`

### Method Summary

Methods
`static int` `getCurrentMode()`
`static boolean` `setCurrentMode(int mode)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROXY_NONE

    public static final int PROXY_NONE

See Also:
  Constant Field Values

#### PROXY_SESSION

    public static final int PROXY_SESSION

See Also:
  Constant Field Values

#### PROXY_GLOBAL

    public static final int PROXY_GLOBAL

See Also:
  Constant Field Values

### Constructor Detail

#### ProxySettingUtil

    public ProxySettingUtil()

### Method Detail

#### getCurrentMode

    public static int getCurrentMode()

#### setCurrentMode

    public static boolean setCurrentMode(int mode)